﻿@model SubscriptionCreateEditModelStep2Point5

@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">

        <div class="back">
            <a class="action" ng-click="back()">
                
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title" >
            <h1>
                Schedule list
            </h1>
        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div>
        <table class="table">
            <colgroup>
                <col />
                <col width="280" />
                <col width="400" />
            </colgroup>
            <thead>
                <tr>
                <th class="text-left">Schedule dates</th>
                <th class="text-left">Payment due</th>
                <th class="text-left">Amount</th>
            </tr>
            </thead>
            <tbody>
                <tr ng-repeat="subscriptionItem in Model">
                    <td>
                        <span ng-show="subscriptionItem.editMode">
                            <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 130px;" ng-model="subscriptionItem.StartDate">
                            <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 130px;" ng-model="subscriptionItem.EndDate">
                        </span>
                        <span ng-hide="subscriptionItem.editMode">{{formatDate(subscriptionItem.StartDate)}} - {{formatDate(subscriptionItem.EndDate)}} </span>
                    </td>
                    <td>
                        <span ng-show="subscriptionItem.editMode">
                            <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 173px;" ng-model="subscriptionItem.DueDate">
                        </span>
                        <span ng-hide="subscriptionItem.editMode">{{formatDate(subscriptionItem.DueDate)}}</span>

                    </td>
                    <td>
                        <span ng-show="subscriptionItem.editMode">
                            <input type="text" ng-model="subscriptionItem.Amount" />
                        </span>
                        <span ng-hide="subscriptionItem.editMode">{{subscriptionItem.Amount}}</span>
                    </td>
                    <td>

                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="clearfix"></div>

    <hr />
    <a class="place-left button link large" ng-click="back()">Back</a>
    <a class="success place-right button large" ng-click="save()">Save & continue</a>

    <div class="clearfix"></div>
</div>